@import '~scss/styles';
@import '~scss/_variables';

$semi-transparant-white-bg-color: rgba(255, 255, 255, 0.8);

a:hover {
  text-decoration: none;
}

code {
  white-space: pre;
}

h2{
  position: relative;
}

.container-fluid{
  padding: 0;
}

.bg-container-top {
  position: absolute;
  height: 2000px;
  width: 100%;
  overflow: hidden;
  background-image: url('../../../assets/images/top_large.svg');
  background-repeat:no-repeat;
  background-position: top center;
  top: 0;
  z-index: -200;
}

.bg-container-mid {
  position: absolute;
  width: 100%;
  overflow: hidden;
  background-repeat:no-repeat;
  background-position: top center;
}

.bg-tree {
  position: absolute;
  right: 0px;
  top: 580px;
  height: 1009px;
  width: 689px;
  z-index: -100;
  background-image: url('../../../assets/images/tree.svg');
  background-repeat:no-repeat;
}

.magnifier{
  float: left;
  height: 0;
  margin-top: -4px;
}

.result-info {
  margin-top: 50px;
}

.result-header {
  text-align: center;
  font-family: Rubik;
  font-size: 42px;
  font-weight: 600;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #191919;
  position: relative;
  top: 40%;
  transform: translateY(-60%);
}

.Line-2 {
  width: 80%;
  height: 1px;
  border: solid 1px #d1d1d1;
  margin: auto;
  margin-top: 20px;
}

.target-group-radio {
  width: 480px;
  margin-left: 5%;
}

.custom-radio {
  margin-top: 26px;
}

.custom-control-label {
  text-transform: none;
  font-weight: 600;
  cursor: pointer;
}

.custom-radio .custom-control-input ~ .custom-control-label::after {
  width: 20px;
  height: 20px;
  left: -25px;
  top: -0px;
}

.custom-control-label::before{
  top: 0;
  background-color: transparent;
}

.custom-radio .custom-control-input:checked ~ .custom-control-label::before {
  width: 12px;
  height: 12px;
  top: 4px;
  left: -21px;
}

.search-input-field {
  margin-top: 38px;
}

.search-row {
  margin-bottom: 24px;
}

.search {
  width: 70%;
  max-width: 800px;
  position: relative;
}

.searchTerm {
  float: left;
  width: 100%;
  border: 1px solid #1d1d1d;
  padding-left: 12px;
  height: 50px;
  border-radius: 25px 25px 25px 25px;
  outline: none;
  color: #000;
}

.search-button {
  position: absolute;
  right: 0;
  border-left: 0px solid white;
  border-top-right-radius: 25px;
  border-bottom-right-radius: 25px;
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
  width: fit-content;
}

.btn-sort-toggle {
  margin-top: 5px;
  margin-right: 5px;
  height: 40px;
  color:#222222;
  text-align: end;
  font-family: $font-header;
}

.btn-sort-toggle:hover {
  color: #fff;
  background-color: #3fd8c9;
}

.btn-sort-toggle:focus {
  box-shadow: none;
}

.tags-div {
  display: inline-block;
  box-shadow: 0 0 0 0;
 
}

.tag-btn {
  display: inline-block;
  margin-right: 8px;
  margin-bottom: 5px;
  font-weight: bold;
  font-size: 16px;
  font-family: $font-header;
  color: #222222;
  border-color: #222222;
  background-color: $semi-transparant-white-bg-color;
}

.tag-btn:hover{
  color: #222222!important;
}

.fa-angle-right {
  float: right;
  color: #616161;
}

.fa-angle-left {
  float: left;
  color: #616161;
}

.material-icons{
  margin-right: 3px;
}

.carouselBtn {
  position: absolute;
  border: none;
  margin: 0;
  padding: 0;
  width: auto;
  overflow: visible;
  background: transparent;
  top: -3px;
  bottom: 0;
  height: 100%;
  ;
}

.carouselBtn:focus {
  outline: none;
}

.leftRs {
  left: 0;
  width: 60px;
  background-image: linear-gradient(to left, rgba(255, 255, 255, 0) 0%, #ffff 80%);

  &:hover {
    cursor: pointer;
  }
}

.rightRs {
  right: 0;
  width: 60px;
  background-image: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, #fffcf2 80%);

  &:hover {
    cursor: pointer;
  }
}

.item {
  flex: 0 0 0 !important;
}

.sorting-card {
  border: 0px solid white;
}

.searchTerm:focus {
  color: #000;
}

.back-btn {
  margin-top: 72px;
  cursor: pointer;

  & span {
    font-family: Rubik;
    font-size: 16px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #191919;
  }
}

.search-result {
  background-color: transparent;
  margin-top: 40px;
  margin-bottom: 68px;
}

.result-col {
  margin-bottom: 30px;
}

.search-result-card {
  height: 240px;
  border-radius: 1px;
  background-color: #FFF;
  box-shadow: 0 6px 16px 0 rgba(0, 0, 0, 0.2);
  cursor: pointer;
  margin: 7px;
  transition: all .5s ease-in-out;
  overflow: hidden;
  &:hover{
    box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
  }
}

.card-line{
  width: 80%;
  height: 2px;
  background-color: #222222;
  margin-left: 15px;
}

.result-image {
  padding-left: 10px;
  & img {
    margin-top: 10px;
    width: 100%;
    border-radius: 3px;
  }
}

.result-meta {
  padding-top: 40px;
}


.search-number{
  background-color: #ffd944;
  font-size: 24px;
  font-weight: 600;
  padding: 5px 10px 5px 10px;
}

.result-title {
  padding-top: 1rem;
  padding-bottom: 12px;
  font-family: Rubik;
  font-size: 1.1rem;
  font-weight: 600;
  font-style: normal;
  font-stretch: normal;
  line-height: 25px;
  letter-spacing: normal;
  color: #4d4d4d;
}

.result-description {
  font-family: Rubik;
  font-size: 14px;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: 25px;
  letter-spacing: normal;
  color: #222222;
}

.result-footer {
  width: 100%;
  margin-bottom: -10px;
}

.arrow-right{
  float: right;
  color: #838383;
}
// Extra small devices (portrait phones, less than 576px)
// No media query for `xs` since this is the default in Bootstrap
@media (max-width: 411px) {
  .result-title{
    font-size: 1rem;
  }
  .sub-header {
    height: 65px;
  }
}
// Small devices (landscape phones, 576px and up)
@media (max-width: 576px) {}

// Medium devices (tablets, 768px and up)
@media (max-width: 768px) {
  .search {
    width:100%;
  }
  .result-title{
    font-size: 1.3rem;
  }
}
// Large devices (desktops, 992px and up)
@media (max-width: 992px) {
  .search-result-title {
    background-color: $semi-transparant-white-bg-color;
  }

}
// Extra large devices (large desktops, 1200px and up)
@media (max-width: 1200px) {
  .leftRs {
    background-image: linear-gradient(to left, rgba(255, 255, 255, 0) 0%, #fffcf2 80%);
  }
}


@media (min-height: 2668px) {
  .bg-container-mid {
    top: 2300px;
    height: 2000px;
    background-image: url('../../../assets/images/middle_large.svg');
    background-repeat:no-repeat;
    background-position: top center;
   }
}
